<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true">
<f:switch expression="{header_layout}">
    <f:case value="1">
        <h1 class="o-cms-content__headline">
            {header}
        </h1>
    </f:case>
    <f:case value="2">
        <h2 class="c-article__headline   o-section__headline">
            {header}
        </h2>
    </f:case>
    <f:case value="3">
        <h3 class="o-cms-content__headline">
            {header}
        </h3>
    </f:case>
    <f:case value="4">
        <h4 class="o-cms-content__headline">
            {header}
        </h4>
    </f:case>
    <f:case value="5">
        <h5 class="o-cms-content__headline">
            {header}
        </h5>
    </f:case>
    <f:case value="100">
        <f:comment> -- do not show header --</f:comment>
    </f:case>
    <f:case value="0">
        <f:comment> -- render default layout as H4 --</f:comment>
        <h4 class="o-cms-content__headline">
            {header}
        </h4>
    </f:case>
</f:switch>
</html>
